gtkmm 2.4: Gtk::ToggleAction Class Reference

Main Page Widgets Namespaces Book

# Gtk::ToggleAction Class Reference

Inheritance diagram for Gtk::ToggleAction:

[legend]
List of all members.

## Public Member Functions
bool | get_active () const
| Returns the checked state of the toggle action.
bool | get_draw_as_radio () const
| Returns whether the action should have proxies like a radio action.
const GtkToggleAction* | gobj () const
| Provides access to the underlying C GObject.
GtkToggleAction* | gobj ()
| Provides access to the underlying C GObject.
GtkToggleAction* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy_ReadOnly< bool > | property_draw_as_radio () const
| Whether the proxies for this action look like radio action proxies.
Glib::PropertyProxy<bool> | property_draw_as_radio ()
| Whether the proxies for this action look like radio action proxies.
void | set_active (bool is_active=true)
| Sets the checked state on the toggle action.
void | set_draw_as_radio (bool draw_as_radio=true)
| Sets whether the action should have proxies like a radio action.
Glib::SignalProxy0<void> | signal_toggled ()
void | toggled ()
| Emits the "toggled" signal on the toggle action.
virtual | ~ToggleAction ()
## Static Public Member Functions
static Glib::RefPtr<ToggleAction> | create (const Glib::ustring& name, const Gtk::StockID& stock_id, const Glib::ustring& label=Glib::ustring(), const Glib::ustring& tooltip=Glib::ustring(), bool is_active=false)
static Glib::RefPtr<ToggleAction> | create (const Glib::ustring& name, const Glib::ustring& label=Glib::ustring(), const Glib::ustring& tooltip=Glib::ustring(), bool is_active=false)
static Glib::RefPtr<ToggleAction> | create ()
## Protected Member Functions
virtual void | on_toggled ()
| ToggleAction (const Glib::ustring& name, const StockID& stock_id, const Glib::ustring& label=Glib::ustring(), const Glib::ustring& tooltip=Glib::ustring(), bool is_active=false)
| ToggleAction ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gtk::ToggleAction> | wrap (GtkToggleAction* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::ToggleAction::~ToggleAction | ( |  | ) | `[virtual]`

Gtk::ToggleAction::ToggleAction | ( |  | ) | `[protected]`

Gtk::ToggleAction::ToggleAction | ( | const Glib::ustring& | name,
|  | const StockID& | stock_id,
|  | const Glib::ustring& | label = `Glib::ustring()`,
|  | const Glib::ustring& | tooltip = `Glib::ustring()`,
|  | bool | is_active = `false`
| ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<ToggleAction> Gtk::ToggleAction::create | ( | const Glib::ustring& | name,
|  | const Gtk::StockID& | stock_id,
|  | const Glib::ustring& | label = `Glib::ustring()`,
|  | const Glib::ustring& | tooltip = `Glib::ustring()`,
|  | bool | is_active = `false`
| ) | `[static]`

static Glib::RefPtr<ToggleAction> Gtk::ToggleAction::create | ( | const Glib::ustring& | name,
|  | const Glib::ustring& | label = `Glib::ustring()`,
|  | const Glib::ustring& | tooltip = `Glib::ustring()`,
|  | bool | is_active = `false`
| ) | `[static]`

static Glib::RefPtr<ToggleAction> Gtk::ToggleAction::create | ( |  | ) | `[static]`

| Reimplemented from Gtk::Action. Reimplemented in Gtk::RadioAction.

bool Gtk::ToggleAction::get_active | ( |  | ) | const

| Returns the checked state of the toggle action. Returns: The checked state of the toggle action Since: 2.4.

bool Gtk::ToggleAction::get_draw_as_radio | ( |  | ) | const

| Returns whether the action should have proxies like a radio action. Returns: Whether the action should have proxies like a radio action. Since: 2.4.

const GtkToggleAction* Gtk::ToggleAction::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Gtk::Action. Reimplemented in Gtk::RadioAction.

GtkToggleAction* Gtk::ToggleAction::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Gtk::Action. Reimplemented in Gtk::RadioAction.

GtkToggleAction* Gtk::ToggleAction::gobj_copy | ( |  | ) |

| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. Reimplemented from Gtk::Action. Reimplemented in Gtk::RadioAction.

virtual void Gtk::ToggleAction::on_toggled | ( |  | ) | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly<bool> Gtk::ToggleAction::property_draw_as_radio | ( |  | ) | const

| Whether the proxies for this action look like radio action proxies. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::ToggleAction::property_draw_as_radio | ( |  | ) |

| Whether the proxies for this action look like radio action proxies. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::ToggleAction::set_active | ( | bool | is_active = `true` | ) |

  | Sets the checked state on the toggle action. Since: 2.4 Parameters:
  | is_active | Whether the action should be checked or not.

void Gtk::ToggleAction::set_draw_as_radio | ( | bool | draw_as_radio = `true` | ) |

  | Sets whether the action should have proxies like a radio action. Since: 2.4 Parameters:
  | draw_as_radio | Whether the action should have proxies like a radio action.

Glib::SignalProxy0<void> Gtk::ToggleAction::signal_toggled | ( |  | ) |

void Gtk::ToggleAction::toggled | ( |  | ) |

| Emits the "toggled" signal on the toggle action. Since: 2.4

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::ToggleAction> wrap | ( | GtkToggleAction* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- toggleaction.h